Package org.apache.sysds.runtime.iogen

## Class TextTrieNode

- java.lang.Object
- - org.apache.sysds.runtime.iogen.TextTrieNode

    public class TextTrieNode
    extends Object

### Constructor Summary

Constructors
`TextTrieNode()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRowIndex​(int rowIndex)`
`int` `getRowIndex()`
`ArrayList<Integer>` `getRowIndexes()`
`boolean` `isEndOfWord()`
`void` `setEndOfWord​(boolean endOfWord)`
`void` `setRowIndexUsed​(int rowIndex)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextTrieNode

    public TextTrieNode()

### Method Detail

#### addRowIndex

    public void addRowIndex​(int rowIndex)

#### isEndOfWord

    public boolean isEndOfWord()

#### setEndOfWord

    public void setEndOfWord​(boolean endOfWord)

#### getRowIndex

    public int getRowIndex()

#### setRowIndexUsed

    public void setRowIndexUsed​(int rowIndex)

#### getRowIndexes

    public ArrayList<Integer> getRowIndexes()